GET api/tenancy/rentDemands/csv?tenant={tenant}&includeOpen={includeOpen}&includePaid={includePaid}
Get rent demands for the tenant role Processes this tenancy API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| tenant |
The tenant value supplied with the request. |
integer |
Required |
| includeOpen |
The include open value supplied with the request. |
boolean |
Default value is True |
| includePaid |
The include paid value supplied with the request. |
boolean |
Default value is True |
Body Parameters
None.
Response Information
Resource Description
The response returned after the operation completes.
RentDemandDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| DueDate |
The due date, expressed as a date and time. |
date |
None. |
| EndDate |
The end date, expressed as a date and time. |
date |
None. |
| TotalAmount |
The total amount value. |
decimal number |
None. |
| TotalOutstanding |
The total outstanding value. |
decimal number |
None. |
| DiscountTotalAmount |
The discount total amount value. |
decimal number |
None. |
| Fees |
The collection of fees. |
Collection of string |
None. |
| FeeAmount |
The fee amount value. |
decimal number |
None. |
| LandlordPayment |
The landlord payment value. |
decimal number |
None. |
| Items |
The collection of items. |
Collection of RentItemDataContract |
None. |
| IsPaid |
Indicates whether this item is paid. |
boolean |
None. |
| IsForecast |
Indicates whether this item is forecast. |
boolean |
None. |
| IsFullRentAmount |
Indicates whether this item is full rent amount. |
boolean |
None. |
| DaysInRentPeriod |
The days in rent period value. |
integer |
None. |
| DayRate |
The day rate value. |
decimal number |
None. |
| InvoiceId |
The unique identifier of the related invoice resource. |
integer |
None. |
| IsProjection |
Indicates whether this item is projection. |
boolean |
None. |
| Id |
The unique identifier of this resource. |
integer |
None. |
Response Formats
application/json, text/json
{
"DueDate": "2026-07-23T08:16:56.3970704Z",
"EndDate": "2026-07-23T08:16:56.3970704Z",
"TotalAmount": 3.0,
"TotalOutstanding": 4.0,
"DiscountTotalAmount": 5.0,
"Fees": [
"sample string 1",
"sample string 2"
],
"FeeAmount": 6.0,
"LandlordPayment": -8.0,
"Items": [
{
"Amount": 1.0,
"Discount": 2.0,
"FeeAmount": 3.0,
"AmountPayable": -4.0,
"Id": 4
},
{
"Amount": 1.0,
"Discount": 2.0,
"FeeAmount": 3.0,
"AmountPayable": -4.0,
"Id": 4
}
],
"IsPaid": true,
"IsForecast": true,
"IsFullRentAmount": true,
"DaysInRentPeriod": 10,
"DayRate": 11.0,
"InvoiceId": 1,
"IsProjection": true,
"Id": 13
}